Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: LViatourversion de Lenfun et Nikon D5
#1
Bonjour à tous,

Il y a quelques jours, j'avais une version compilée de la version beta de Darktable 2.3xx sur Ubuntu 16.04
Mais pas de D5 reconnu. 

Il y a deux jours, j'ai fais l'update vers la version stable 2.4 et miracle mon D5 et les optiques montées dessus étaient reconnus pour une correction automatique. 

Je viens de ré-installer la dernière Ubuntu 17.10 et Darktable 2.4, je vois que j'ai les paquest lensfun suivant:
gimp-lensfun 0.2.4-1
liblensfun1 0.3.2-3
liblensfun-data-v1 0.3.2-3

ET incroyable sur cette version d'Ubuntu je n'ai pas la reconnaissance du Nikon D5

Il y a moyen de mette à jour Lensfun et de dire à Darktable de prendre une version plus récente?
Luc Viatour Photographe 
Website
Répondre
#2
Luc, je dirais que liblensfun est vraiment mal géré par les distributions. Je ne sais pas pourquoi, je ne jette pas la pierre mais la situation est très mauvaise.

La version 0.3.2 a été taggé par le projet le 15 novembre 2015 (oui 2015 ce n'est pas une erreur). C'est la version que l'on trouve sur Debian et pas mal de distrib. La 0.2.8 est encore distribuée sur d'autres distrib.

Le support pour le D5 a été ajouté le 21 Fev 2017 (voir commit 1eeb4f374).

Du coup je ne comprend pas trop comment tu as eu le support D5 pendant quelques moments. En fait je crois me souvenir que le PPA de Pascal comporte liblensfun et qu'il met a jour les descriptions des boîtiers et objectifs.

La solution, récupérer slr-nikon.xml depuis le Git du projet et le placer dans ~/.local/share/lensfun/

Probablement remplace version="n" par version="1".

Je n'ai rien de mieux à te proposer.
--
Pascal - GNU/Debian (sid) - version darktable git/master
http://photos.obry.net
Répondre
#3
J'ai les 3 bases de données pour LibLensFun :
celle pour 0.2.8 slr-nikon.xml contient bien la description du D5
la version=1 ne la contient pas
et la version=2 la contient.
Luc, j'ai installé Ubuntu 17.10 avec darktable 2.4.0 si tu me passes une photo du D5, je peux faire des tests et te faire slr-nikon.xml pour ta version.
Celle qui est installée est la version=1 et ne contient pas la description du D5.
Répondre
#4
> celle pour 0.2.8 slr-nikon.xml contient bien la description du D5

C'est la version du PPA de Pascal donc. Car à l'époque de la 0.2.8 le D5 n'existait pas.
--
Pascal - GNU/Debian (sid) - version darktable git/master
http://photos.obry.net
Répondre
#5
@Pascal, "En fait je crois me souvenir que le PPA de Pascal comporte liblensfun et qu'il met a jour les descriptions des boîtiers et objectifs."

Oui, c'est ça. C'est ce qu'il écrit sur launchpad.

Envoyé de mon Kis 3 en utilisant Tapatalk
Ubuntu 18.04 + dt 2.6 & Pentax K5 & K3-II + cailloux Pentax et Sigma

Répondre
#6
J'ai le ppa de Pascal, mais ce n'est pas de là que vient lensfun car il installe la version 0.323 et sur le ppa de Pascal c'est la 0.2.8

J'ai téléchargé slr-nikon.xml qui à 23 jours.

Par contre je n'ai pas dans mon home/.Local/share/ de dossier lensfun

(27-12-17, 23:02)LViatour a écrit : J'ai le ppa de Pascal, mais ce n'est pas de là que vient lensfun car il installe la version 0.323 et sur le ppa de Pascal c'est la 0.2.8

J'ai téléchargé slr-nikon.xml qui à 23 jours.

Par contre je n'ai pas dans mon home/.Local/share/ de dossier lensfun

J'ai déjà un fichier slr-nikon.xml dans user/share/lensfun/version_1

Mais il ne ressemble pas au fichier slr-nikon.xml que j'ai téléchargé. Me demande aussi si j'ai chargé le bon fichier que j'ai trouvé ici:
https://github.com/lensfun/lensfun/tree/master/data/db
Luc Viatour Photographe 
Website
Répondre
#7
@Luc, donc change version="2" par version="1" et ça marche.

Sinon je te conseille de laisser le fichier d'origine dans /usr//share/lensfun/version_1 et de placer le tien (téléchargé) dans ~/.local/share/lensfun/. Ce dernier aura précédence sur celui du système qu'il est préférable de ne pas changer.
--
Pascal - GNU/Debian (sid) - version darktable git/master
http://photos.obry.net
Répondre
#8
Tout à fait d'accord avec Pascal pour le mettre dans un répertoire ~/.localshare/lensfun/ à créer. Je viens de regarder le fichier que tu as téléchargé, il contient bien la description du D5 mais il est en version="2", change le en version="1".
Répondre
#9
(28-12-17, 09:29)jpg54 a écrit : Tout à fait d'accord avec Pascal pour le mettre dans un répertoire ~/.localshare/lensfun/ à créer. Je viens de regarder le fichier que tu as téléchargé, il contient bien la description du D5 mais il est en version="2", change le en version="1".

Si j'ai bien compris, dans mon home/.locashare.lensfun/

Je place le fichier slr-nikon.xml 

Mais ou vous voyez que le fichier slr-nikon.xml c'est une version 1 ou deux et ou je dois le modifier en version 2? 


Désolé je comprends pas et c'est vraiment casse pied de ne pas avoir les corrections optiques auto.
Luc Viatour Photographe 
Website
Répondre
#10
Attention, c'est ~/.local/share/lensfun/, pas autre chose.

La version dont il est question doit être la 2ème ligne dans le .xml :
Code :
<lensdatabase version="2">

Sinon, oui c'est clairement casse-b...onbon cette histoire de lensfun pas cohérent. Très contre-productif à un moment où de plus en plus d'utilisateurs non geek l'utilisent (malgré eux, d'ailleurs).
Ubuntu 18.04 + dt 2.6 & Pentax K5 & K3-II + cailloux Pentax et Sigma

Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)